#!/bin/busybox ash
set -euo pipefail

rm tmp.mkv || true

ffmpeg -hide_banner \
	-loop 1 -r 25 -t 3 -i question.png \
	-filter_complex "
		gradients=s=2560x1440:d=5:c0=#000055:c1=#005500:x0=480:y0=540:x1=1440:y1=540[input];
		[0]fade=t=in:st=1:d=0.5:alpha=1,fade=t=out:st=2.5:d=0.5:alpha=1,setpts=PTS+1/TB[overlay];
		[input][overlay]overlay=eval=frame:x=0:y=0:repeatlast=0[v]
	" \
	-map "[v]" \
	-c:v libsvtav1 -preset 1 -crf 18 \
	"tmp.mkv"
